//
//  WebRTCStore.m
//  AIIM
//
//  Created by gan on 2025/4/16.
//

#import <Foundation/Foundation.h>
#import "WebRTCStore.h"


@interface WebRTCStore()

@end

@implementation WebRTCStore

+ (WebRTCStore *_Nonnull)shareInstance{
    static id gShareInstance = nil;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
      gShareInstance = [[self alloc] init];
    });
    return gShareInstance;
}

- (instancetype)init {
    if (self = [super init]) {
    }
    return self;
}


-(void)reciveMsg:(NSDictionary *_Nonnull)msg{
    NSLog(@"msg:%@",msg);
    if(self.delegate){
        [self.delegate WebRTCStoreAct:msg];
    }
}

@end
